<%--
  - FileName   : BidHistoryList.jsp
  - Author(s)  : mklee
  - Date       : 2016.03.22
  - Copyright  : Copyright (c) 2013 www.udapsoft.co.kr, Inc.
  - Description: 외주입찰이력조회
--%>

<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.udapsoft.waf.system.HandlerStorage" %>
<%@ page import="com.udapsoft.waf.common.ui.*" %>
<%@ page import="kr.co.udapsoft.common.code.*" %>
<%@ page import="kr.co.hsnc.common.util.*"%>
<%@ page import="kr.co.hsnc.common.sql.*" %>
<%@ page import="com.udapsoft.waf.common.util.DateUtil" %>
<%@ page import="kr.co.hsnc.common.util.Formatter"%>

<%@ include file="/jsp/work/taglib.jsp" %>
<jsp:useBean id="ctx" class="com.udapsoft.waf.system.context.SessionContext" scope="session" />
<%
    ctx.init(request, response);
    HandlerStorage storage = ctx.getHandlerStorage();
    ValueObject params = storage.getParams();
    ValueObject user = storage.getUser();
    String event = storage.getEvent();
  
    // 공종 
	RowSet outItemTag1 = storage.getRowSet("outItemTag1");
	RowSet outItemTag2 = storage.getRowSet("outItemTag2");
	RowSet outItemTag3 = storage.getRowSet("outItemTag3");
	
	java.util.Calendar curDate = java.util.Calendar.getInstance();
	java.util.Calendar tmpDate = java.util.Calendar.getInstance();
	java.text.SimpleDateFormat fmtDay = new java.text.SimpleDateFormat("yyyy-MM-dd");
	
	tmpDate.add ( tmpDate.YEAR, -1 ); 
	String signDt_from = fmtDay.format(tmpDate.getTime());  //1년전 
	String signDt_to = fmtDay.format(curDate.getTime()); // 오늘  
	
%>
<SCRIPT language="JavaScript">
	/*예약함수*/
	var sheet1;
	var sheet1Row;
	var sheet1PageNo = 1;
	var pageLastRowIndex = 1;
	var validationResult = false;
	var filterShow = false;
	
	function _onReady(){

		gridInit(sheet1);
		
		autoResize();
	
		jQuery("#btnSearch").click(function() {
			
 			if(Number(jQuery("#signDt_from").val().replace(/(\-|\:)/g, "")) > Number(jQuery("#signDt_to").val().replace(/(\-|\:)/g, ""))){
				alert("신청일자를 확인해주세요");
				return;
			}
 			
 			jQuery("#fevent").val("SHEET_SELECT");
			var url = Modular.model.PageContext.CONTEXT_ROOT + "/bid/outside/BidHistoryList_sheet.screen";
			Modular.view.IBSheet7.doSearch(sheet1, url, jQuery("#form1"), 30, ""); 
		});
	
		pageinit();
		
	}
	
	function pageinit(){
		//jQuery("#btnSearch").click();
	}
	
	function gridInit(sheetName){
		var init_sheet = {};
		init_sheet.Cfg = {SearchMode:2, Page:30};
		init_sheet.Cols = [
		    			{Header:'Bid_no',			    Type:"Text", 			SaveName:"BID_NO", 			Width:0, 	Align:"Center", Hidden:"True"},
		    			{Header:'Bid_deg',				Type:"Text", 			SaveName:"BID_DEG",			Width:130, 	Align:"Left",   Hidden:"True"},
		    			{Header:'☞공종명',				Type:"Text", 			SaveName:"ITEM_NAME",		Width:130, 	Align:"Left"},
		    			{Header:'입찰명',  				Type:"Text", 			SaveName:"BID_MASTER_NM",	Width:130, 	Align:"Left"},
		    			{Header:'업체명',				    Type:"Text", 			SaveName:"VENDOR_NAME",		Width:100, 	Align:"Left"},
		    			{Header:'현장명',				    Type:"Text", 			SaveName:"DEPT_NM",         Width:130, 	Align:"Left"},
		    			{Header:'입찰금액',				Type:"Int", 			SaveName:"AMT", 			Width:50, 	Align:"Right", Format:"#,##0"},
		    			{Header:'실행대비',				Type:"Floot", 			SaveName:"ACT_RATE",		Width:30, 	Align:"Right", Format:"#,##0.00"},
		    			{Header:'외주대비',				Type:"Floot", 			SaveName:"PUR_RATE",		Width:30, 	Align:"Right", Format:"#,##0.00", Hidden:"True"},
		    			{Header:'낙찰여부',				Type:"Text", 			SaveName:"SUCC_YN", 		Width:40, 	Align:"Center" },
		    			{Header:'입찰순위',				Type:"Text", 			SaveName:"RNK", 		    Width:50, 	Align:"Center" },
		];

		init_sheet.HeaderMode = {Sort:1};
		IBS_InitSheet(sheetName, init_sheet);
		sheetName.SetDataAutoTrim(0);
		sheetName.SetEditable(false);
		sheetName.SetDataLinkMouse("BUILD_NAME", 1);
		sheetName.SetActionMenu("ExcelDown");
		setGridSize();
	}

	function sheet1_OnSelectMenu(Text, Code) {
		// text 또는 code값으로 Action수행
		switch(Text) {
			case "ExcelDown":
			sheetExcelDown(sheet1,$('li').html());
			break;
		}
	}

	function sheet1_OnSearchEnd(code, message) {
	    if(code == 0) {
	    	setGridSize();
	    	sheet1.SetColFontColor("BUILD_NAME", "#0000ff");
		} else {
			//조회 에러 수행
			alert(message);
		}
	}
	
	function sheet1_OnClick(Row, Col, Value, CellX, CellY, CellW, CellH) {
	}

	/**
	 *	IBSheet size setting
	 */
	function setGridSize() {
		sheet1.FitColWidth();
	}
	
	/**
	 *	IBSheet Event: DBLCLICK
	 */
	function sheet1_OnDblClick(Row, Col, Value, CellX, CellY, CellW, CellH) {

	}
	
	function doKeyPress() {
	    if( event.keyCode == 13 ) {
	    	jQuery("#btnSearch").click();
	    }
	}
	
	function sheet1_OnSmartResize(Width, Height) { 
		sheet1.FitColWidth();
		autoResize();
	}
	
	function searchSite() {
		var win_id = "_searchSite";
		var link = "/lib/dlgSearchSpotDept.screen";
		    link += "?pop_win_id="+win_id;
			fLayerPop(win_id, link, 550,500, '', '', 'NO');
	}
	function searchSiteClose(result) {
		if( result == null ){
			document.form1.dept_cd.value = "";   //부서코드
			document.form1.dept_nm.value = "";   //부서명
		}else{
			document.form1.dept_cd.value = result[0];   //부서코드
			document.form1.dept_nm.value = result[1];   //부서명
		}
		fLayerPopClose('_searchSite');
	}

 	function autoResize(){
		var t1_height = document.getElementById("search-table").scrollHeight  + document.getElementById("bugase").scrollHeight + document.getElementById("title").scrollHeight + 24;
		var iframeHeight= document.body.scrollHeight - t1_height;   
		var iframeWidth= document.body.scrollWidth;   
		
		
		sheet1.SetSheetHeight(iframeHeight); 
	}
	
	function selectChange(){
		jQuery("#btnSearch").click();
	}
	
	function doChangeOutItemCd1() {
		document.form1.item_depth.value = "2";
		document.form1.item_cd.value = document.form1.outItemTag1.value;
		submitXmlRequest("/bid/outside/BidHistoryList_process.screen", "GET_OUT_ITEM_CD2", document.form1, "VALUEOBJECT");
		//outItemTag2 = storage.getRowSet("outItemTag2");
	}

	// 공종 두번째 SELECT BOX onChange 이벤트
	function doChangeOutItemCd2() {
		document.form1.item_depth.value = "3";
		document.form1.item_cd.value = document.form1.outItemTag2.value;
		submitXmlRequest("/bid/outside/BidHistoryList_process.screen", "GET_OUT_ITEM_CD3", document.form1, "VALUEOBJECT");
		//outItemTag3 = storage.getRowSet("outItemTag3");
	}
	
	function doResult(resultObj) {
		var f = document.form1;
		
		try {
			if (resultObj.getRequestEvent() == "GET_OUT_ITEM_CD2") {
				if ( resultObj.getSuccess() == true ) {
					var vo = resultObj.getValueObject();
					injectSelect(vo, document.form1.outItemTag2,"item_name","item_cd");
					document.form1.isSubmit = false;
					if(f.outItemTag1.value == "") {
						while(document.form1.outItemTag2.options.length > 1) {
							document.form1.outItemTag2.remove(1);
						}
					}
					
					// 소분류 select box clear
					while(document.form1.outItemTag3.options.length > 1) {
						document.form1.outItemTag3.remove(1);
					}
				} else {
		            dlgErrorMsg(resultObj);
		        }
			}
			else if (resultObj.getRequestEvent() == "GET_OUT_ITEM_CD3") {
				if ( resultObj.getSuccess() == true ) {
					var vo = resultObj.getValueObject();
					injectSelect(vo, document.form1.outItemTag3,"item_name","item_cd");
					
					if(f.outItemTag2.value == "") {
						while(document.form1.outItemTag3.options.length > 1) {
							document.form1.outItemTag3.remove(1);
						}
					}
					
					document.form1.isSubmit = false;
				} else {
		            dlgErrorMsg(resultObj);
		        }
			}
		}
		catch(errorObject) {
			    showErrorDlg("doResult()", errorObject);
		}
	}
	
	function injectSelect(vo, selectObj, code, value){
		var Code = vo.get(code);
		var Value = vo.get(value);
		var arrCd = Code.split('|');
		var arrValue = Value.split('|');

		while(selectObj.options.length){
			selectObj.remove(0);
		}
		
		var newOpt;
		newOpt = document.createElement('option');
		newOpt.text = "-- 전체 --";
		newOpt.value = "";
		selectObj.options.add(newOpt);
		
		if (arrCd == '') {
			selectObj.length = 1;
			
		} else {		
			for(var i = 0; i < arrCd.length; i++){
				newOpt = document.createElement('option');
				newOpt.text = arrCd[i];
				newOpt.value = arrValue[i];
				selectObj.options.add(newOpt);
			}
		}
	}
	
</SCRIPT>


<modular:search id="form1">
	<modular:key id="fevent" />
</modular:search>

<BODY onresize="autoResize()" >
<form id="form1" name="form1" method="post" modular:type="search" style="width:100%;height:100%;">

	<INPUT type="hidden" name="fevent" id="fevent" value="">
	<input type="hidden" id="item_cd" name="item_cd" value="">
    <input type="hidden" id="item_depth" name="item_depth" value="">

   	<div align="left" id="title">
    	<ul>
     		<li>외주_입찰이력</li>
    	</ul>
  	</div>

	<!-- 검색조건 영역 : 시작 -->
	<table id="search-table" class="search-form-table">
		<colgroup>
			<col width="100px">
			<col width="350px">
			<col width="100px">
			<col width="100px">
			<col width="100px">
			<col width="*"/>
			<col width="100px">
		</colgroup>	
		<TR>
			<TH>현장</TH>
			<TD>
			<%=InputText.getSiteCodeNew("dept_cd", "dept_nm", "", user, params.get("dept_cd"), params.get("dept_nm"))%>
			</TD>
			<TH>공사구분</TH>
			<TD>
			   <%=CommCodeManager.getSelectCodeSearchList("BID_GB_CD","pay_div","height=18;width:80px;","<option value=''>--전체--</option>",params.get("pay_div"),"","DETAILCD") %>	
			</TD>
			<th>입찰시작일자</th>
			<td>
				<%= InputText.get("signDt_from", signDt_from, 10, 50, "hangule,center, desc=입찰시작일,ReadOnly") %>
				<IMG name="start_img" id="calender_from" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('signDt_from');">
				~
				<%= InputText.get("signDt_to", signDt_to, 10, 50, "hangule,center, desc=입찰시작일,ReadOnly") %>
				<IMG name="start_img" id="calender_to" src="/img/buyer/button/bt_calender.gif" border="0" align="absmiddle" style="cursor:pointer;" onClick="JavaScript:dlgCalendar('signDt_to');">
				<IMG name="dataClear1" id="dataClear1" src="/img/buyer/button/bt_eraser1.gif" border="0" align="absmiddle" style="cursor:pointer;">
			</td>			
   			<TD class="button" rowspan="2">      
   				<span class="btnSearch center"><a href="javascript:void(0);" id="btnSearch">검색</a></span>
			</TD>
		</TR>
  		<TR>
			<TH>업체명</TH>
			<TD colspan="3">
				<INPUT type="text" id="searchCorp" name="searchCorp" value="" maxlength="50" class="input" style="IME-MODE : active; width:90%;"  desc='계약명' onKeyPress="doKeyPress();">
			</TD>
			<TH>공종코드</TH>
    		<TD>
				<%= HTMLMaker.getSelectTag(outItemTag1, "item_cd", "item_name", "outItemTag1", "style='width:30%;height=18;' onChange='javascript:doChangeOutItemCd1();'", "<option value=''>--전체--</option>", "") %>
				&nbsp;
				<%= HTMLMaker.getSelectTag(outItemTag2, "item_cd", "item_name" , "outItemTag2", "style='width:30%;height=18;' onChange='javascript:doChangeOutItemCd2();'", "<OPTION value=''>-- 전체 --</OPTION>", "") %>
				&nbsp;
				<%= HTMLMaker.getSelectTag(outItemTag3, "item_cd", "item_name" , "outItemTag3", "style='width:30%;height=18;'", "<OPTION value=''>-- 전체 --</OPTION>", "") %>
				&nbsp;	
    		</TD>					
   		</TR>
   	</TABLE>
	<!-- 검색조건 영역 : 종료 -->
	<img src="/img/com/blank.gif" height="5px" />
   <div align="right" id="bugase">
    	<ul>

    	</ul>
  	</div>
	<div id="sheet1_div" style="padding-top:0px; height: auto; min-height: 350px; overflow: auto;">
		<script>createIBSheet('sheet1','100%', '350px');</script>
	</div>
</FORM>
</body>